Subject: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Drew Adams <[email-masked]>
Date: Mon, 22 Apr 2019 06:08:16 -0700 (PDT)

> > The downside is that the "show location but don't switch windows" action
> > becomes harder to invoke: you have to mouse-1 click, wait at least 450ms
> > (by default), then release.
> 
> Perhaps there could be a new user option to choose which of the two
> actions should be used by mouse-2 and mouse-1, and then users with
> mouse-1-click-follows-link disabled could configure their preferred
> action for mouse-2.
> 
> In any case, the NEWS will need to point out the change of behaviour,
> so it could always suggest custom key bindings which users could employ
> to get different behaviour, if that's simplest.

What is the "show location but don't switch windows"
action?  Is it `xref--show-location' or some command
that invokes that function?

I don't see (in Emacs 26.2) any mouse action that
shows the location but does not switch windows.  I
see only `C-o' (`xref-show-location-at-point'),
whose name says it does that, but only for point,
not for the mouse position.  (And when I try `C-o'
it too switches to another window, the same as `RET'.)

In any case, how is Xref different from, say, Occur
wrt mouse actions and the general interaction?  What
makes it so special that it should be problematic to
fix this bug?

(Node `Xref Commands' of the Emacs manual calls the
mode "the special XREF mode".  How is it "special"?
Or is that supposed to mean only that it is a child
of `special-mode'?  If that's it then I think this
language will only confuse users, most of whom are
not aware of `special-mode', or at least not thinking
of it here.)